﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" MasterPageFile="~/Samples.Master" CodeBehind="pdf-to-text-converter.aspx.vb" Inherits="SelectPdf.Samples.pdf_to_text_converter" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <title>SelectPdf for .NET - Pdf To Text Converter. Extract Text from PDF - VB.NET / ASP.NET</title>
    <meta name="description" content="Pdf To Text Converter. Extract Text from PDF Sample for VB.NET/ASPNET. Pdf Library for .NET with full sample code in C# and VB.NET." itemprop="description">
    <meta name="keywords" content="pdf to text, extract text from pdf, pdf library, sample code, html to pdf, pdf converter" itemprop="keywords">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainContent" runat="server">
        <article class="post type-post status-publish format-standard hentry">
            <header class="entry-header">
                <h1 class="entry-title">SelectPdf for .NET - Pdf To Text Converter. Extract Text from PDF - VB.NET / ASP.NET Sample</h1>
            </header>
            <!-- .entry-header -->

            <div class="entry-content">
                <p>
                    This sample shows how to use SelectPdf Pdf Library for .NET to extract text from a PDF document.
                </p>
                <p>
                    The sample uses the following (existing) test PDF:<br />
                    <a href="files/selectpdf.pdf" target="_blank">Test PDF document</a><br />
                </p>

                <div class="col3">
                    Text Layout:<br />
                    <asp:DropDownList ID="DdlTextLayout" runat="server">
                        <asp:ListItem Text="Original (Keep Positions)" Value="Original" Selected="True"></asp:ListItem>
                        <asp:ListItem Text="Reading (Reading Order)" Value="Reading"></asp:ListItem>
                    </asp:DropDownList><br />
                    <br />
                </div>
                <div class="col3">
                    Start Page:<br />
                    <asp:TextBox ID="TxtStartPage" runat="server" Width="100px" Text="1"></asp:TextBox><br />
                    <br />
                </div>
                <div class="col3">
                    End Page:<br />
                    <asp:TextBox ID="TxtEndPage" runat="server" Width="100px" Text=""></asp:TextBox><br />
                    (Leave empty to extract until the last page)<br />
                    <br />
                </div>

                <div class="col-clear"></div>
                <p>
                    Note: The free trial version of SelectPdf will always extract text from the first 3 pages of the PDF document, no matter the page settings received.
                </p>
                <p>
                    <asp:Button ID="BtnSubmit" runat="server" Text="Extract Text" OnClick="BtnSubmit_Click" CssClass="mybutton" />
                </p>
            </div>
            <!-- .entry-content -->
        </article>
        <!-- #post -->
</asp:Content>
