﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Samples.Master" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <title>Select.Pdf for .NET - Convert from Html to Pdf - Mvc ASPX</title>
    <meta name="description" content="Select.Pdf Convert from Url to Pdf Sample for MVC C#. Pdf Library for .NET with full sample code in C# and VB.NET." itemprop="description">
    <meta name="keywords" content="convert from url to pdf, pdf library, sample code, html to pdf, pdf converter" itemprop="keywords">
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="mainContent" runat="server">
<%using (Html.BeginForm("Convert", "HtmlToPdf", FormMethod.Post)) {%>
        <article class="post type-post status-publish format-standard hentry">
            <header class="entry-header">
                <h1 class="entry-title">Select.Pdf for .NET - Convert from Html to Pdf - Mvc ASPX</h1>
            </header>
            <!-- .entry-header -->

            <div class="entry-content">
                <p>
                    This sample shows how to use Select.Pdf html to pdf converter to convert an url to pdf, also setting a few properties.
                </p>
                <p>
                    Url:<br />
                    <input type="text" value="http://selectpdf.com" name="TxtUrl" style="width: 90%"/>
                </p>
                <div class="col2">
                    Pdf Page Size:<br />
                    <select name="DdlPageSize">
                        <option value="A1">A1</option>
                        <option value="A2">A2</option>
                        <option value="A3">A3</option>
                        <option value="A4" selected>A4</option>
                        <option value="A5">A5</option>
                        <option value="Letter">Letter</option>
                        <option value="HalfLetter">HalfLetter</option>
                        <option value="Ledger">Ledger</option>
                        <option value="Legal">Legal</option>
                    </select><br />
                    <br />
                    Pdf Page Orientation:<br />
                    <select name="DdlPageOrientation">
                        <option value="Portrait" selected>Portrait</option>
                        <option value="Landscape">Landscape</option>
                    </select><br />
                    <br />
                </div>
                <div class="col2">
                    Web Page Width:<br />
                    <input name="TxtWidth" type="text" style="width: 50px" value="1024" /> px<br />
                    <br />
                    Web Page Height:<br />
                    <input name="TxtHeight" type="text" style="width: 50px" value="" /> px<br />
                    (leave empty to auto detect)<br />
                    <br />

                </div>
                <div class="col-clear"></div>
                <p>
                    <input type="submit" name="BtnConvert" value="Create PDF" class="mybutton"/>
                </p>
            </div>
            <!-- .entry-content -->
        </article>
<%} %>  

</asp:Content>

