﻿<%@ Page Title="" Language="vb" MasterPageFile="~/Samples.Master" AutoEventWireup="true" CodeBehind="page-numbering.aspx.vb" Inherits="SelectPdf.Samples.SelectPdf.Samples.page_numbering" ValidateRequest="false" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <title>SelectPdf for .NET - Page Numbering - VB.NET / ASP.NET</title>
    <meta name="description" content="SelectPdf Page Numbering Sample for Visual Basic / ASP.NET. Pdf Library for .NET with full sample code in C# and VB.NET." itemprop="description">
    <meta name="keywords" content="pdf page numbering, pdf library, sample code, html to pdf, pdf converter" itemprop="keywords">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainContent" runat="server">
        <article class="post type-post status-publish format-standard hentry">
            <header class="entry-header">
                <h1 class="entry-title">SelectPdf for .NET - Page Numbering - VB.NET / ASP.NET Sample</h1>
            </header>
            <!-- .entry-header -->

            <div class="entry-content">
                <p>
                    This sample shows how to create a new PDF document using SelectPdf, how to add several pages and automatic page numbering in the document footer.
                    <br /><br />
                    The footer is a custom pdf template, displayed at the bottom of the page. It can contain all kinds of page elements that will repeat on each page of the pdf document.
                    <br /><br />
                    One special element that can be added to the pdf footer is the text element, that can be used to display page numbers using the {page_number} and {total_pages} placeholders.
                </p>
                <p>
                    <asp:Button ID="BtnCreatePdf" runat="server" Text="Create PDF" OnClick="BtnCreatePdf_Click" CssClass="mybutton" />
                </p>
            </div>
            <!-- .entry-content -->
        </article>
        <!-- #post -->
</asp:Content>
