﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" MasterPageFile="~/Samples.Master" CodeBehind="pdf-compression.aspx.vb" Inherits="SelectPdf.Samples.pdf_compression" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <title>SelectPdf for .NET - Pdf Compression - VB.NET / ASP.NET</title>
    <meta name="description" content="SelectPdf Pdf Compression Sample for Visual Basic / ASP.NET. Pdf Library for .NET with full sample code in C# and VB.NET." itemprop="description">
    <meta name="keywords" content="pdf compression, pdf library, sample code, html to pdf, pdf converter" itemprop="keywords">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainContent" runat="server">
        <article class="post type-post status-publish format-standard hentry">
            <header class="entry-header">
                <h1 class="entry-title">SelectPdf for .NET - Pdf Compression - VB.NET / ASP.NET Sample</h1>
            </header>
            <!-- .entry-header -->

            <div class="entry-content">
                <p>
                    SelectPdf Library for .NET offers the possibility to reduce the size of the generated pdf document using compression.
                    <br />
                    <br />
                    This sample shows how to create a new PDF document using SelectPdf, how to add a text element to it and use compression to reduce the size of the generated pdf document.
                    <br /><br />
                    Compression Level:<br />
                    <asp:DropDownList ID="DdlPdfCompressionLevel" runat="server">
                        <asp:ListItem Text="NoCompression" Value="NoCompression" Selected="True"></asp:ListItem>
                        <asp:ListItem Text="Normal" Value="Normal"></asp:ListItem>
                        <asp:ListItem Text="Best" Value="Best"></asp:ListItem>
                    </asp:DropDownList>
                    <br />
                    <br />
                </p>
                <p>
                    <asp:Button ID="BtnCreatePdf" runat="server" Text="Create PDF" OnClick="BtnCreatePdf_Click" CssClass="mybutton" />
                </p>
            </div>
            <!-- .entry-content -->
        </article>
        <!-- #post -->
</asp:Content>

