﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" MasterPageFile="~/Samples.Master" CodeBehind="search-pdf-text.aspx.vb" Inherits="SelectPdf.Samples.search_pdf_text" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <title>SelectPdf for .NET - Search for Text in Pdf. PDF To Text Converter - VB.NET / ASP.NET</title>
    <meta name="description" content="Search for Text in Pdf in VB.NET/ASP.NET. Pdf To Text Converter. Pdf Library for .NET with full sample code in C# and VB.NET." itemprop="description">
    <meta name="keywords" content="search pdf, find text pdf, pdf to text, extract text from pdf, pdf library, sample code, html to pdf, pdf converter" itemprop="keywords">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainContent" runat="server">
        <article class="post type-post status-publish format-standard hentry">
            <header class="entry-header">
                <h1 class="entry-title">SelectPdf for .NET - Search for Text in PDF - VB.NET / ASP.NET Sample</h1>
            </header>
            <!-- .entry-header -->

            <div class="entry-content">
                <p>
                    This sample shows how to use SelectPdf PDF Library for .NET to search for text in a PDF document.
                    <br />
                    A new PDF will be created highlighting the text that has been found.
                </p>
                <p>
                    The sample uses the following (existing) test PDF:<br />
                    <a href="files/selectpdf.pdf" target="_blank">Test PDF document</a><br />
                </p>

                <div class="col2">
                    Text to Search:<br />
                    <asp:TextBox ID="TxtSearchText" runat="server" Width="90%" Text="PDF"></asp:TextBox><br />
                    <br />
                </div>
                <div class="col2">
                    Search Settings:<br />
                    <asp:CheckBox ID="ChkCaseSensitive" runat="server" Text="Case Sensitive" />
                    <br />
                    <asp:CheckBox ID="ChkWholeWordsOnly" runat="server" Text="Whole Words Only" />
                </div>

                <div class="col-clear"></div>
                <p>
                    <asp:Button ID="BtnSubmit" runat="server" Text="Search" OnClick="BtnSubmit_Click" CssClass="mybutton" />
                </p>
            </div>
            <!-- .entry-content -->
        </article>
        <!-- #post -->
</asp:Content>
